Bug 1570477 - [abrt] rdmsr_safe_on_cpu: WARNING: CPU: 0 PID: 4101 at kernel/smp.c:291 smp_call_function_single+0xe3/0xf0 [NEEDINFO]
Summary: [abrt] rdmsr_safe_on_cpu: WARNING: CPU: 0 PID: 4101 at kernel/smp.c:291 smp_c...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:de500c7884ead74ab609888edfb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 03:29 UTC by Joerg Skottke
Modified: 2018-08-29 15:10 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:10:09 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (86.09 KB, text/plain)
2018-04-23 03:29 UTC, Joerg Skottke
no flags Details

Description Joerg Skottke 2018-04-23 03:29:29 UTC
Description of problem:
* Booted from USB live media after replacing CPU from Ryzen 1800x to Ryzen 2700x
* Left the system unattended over night 
- The system went into sleep mode/hibernation as expected
- Found kernel problem after wakeup next morning

Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 0 PID: 4101 at kernel/smp.c:291 smp_call_function_single+0xe3/0xf0
Modules linked in: fuse devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables amdkfd amd_iommu_v2 amdgpu snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic snd_hda_intel edac_mce_amd snd_hda_codec chash gpu_sched snd_hda_core kvm_amd i2c_algo_bit ttm snd_hwdep joydev kvm snd_seq snd_seq_device drm_kms_helper snd_pcm eeepc_wmi drm asus_wmi snd_timer irqbypass sparse_keymap snd rfkill
 video soundcore sp5100_tco wmi_bmof i2c_piix4 shpchp wmi k10temp acpi_cpufreq nls_utf8 isofs squashfs zstd_decompress xxhash dm_multipath 8021q garp mrp stp llc crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel r8169 ccp mii uas nvme usb_storage nvme_core sunrpc loop
CPU: 0 PID: 4101 Comm: systemd-sleep Not tainted 4.16.0-0.rc4.git0.1.fc28.x86_64 #1
Hardware name: System manufacturer System Product Name/PRIME B350-PLUS, BIOS 3806 03/06/2018
RIP: 0010:smp_call_function_single+0xe3/0xf0
RSP: 0018:ffffa5920ee83c00 EFLAGS: 00010046
RAX: 0000000000000000 RBX: ffffa5920ee83c9c RCX: 0000000000000001
RDX: ffffa5920ee83c50 RSI: ffffffffa94680b0 RDI: 0000000000000000
RBP: ffffa5920ee83c40 R08: 0000000000000001 R09: 0000000000000000
R10: ffffa5920ee83c30 R11: 0000000000000000 R12: 0000000000000000
R13: 0000000000000000 R14: ffffa5920ee83cd4 R15: 0000000000000000
FS:  00007f6698b8a940(0000) GS:ffff88ef5ec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055cf4c939056 CR3: 00000006e5a0e000 CR4: 00000000003406f0
Call Trace:
 rdmsr_safe_on_cpu+0x5b/0x90
 get_block_address.isra.1+0x6b/0x100
 mce_amd_feature_init+0x73/0x2d0
 ? mce_syscore_resume+0x1e/0x30
 ? syscore_resume+0x4e/0x160
 ? suspend_devices_and_enter+0x45e/0x7d0
 ? pm_suspend.cold.5+0x33c/0x392
 ? state_store+0x80/0xe0
 ? kernfs_fop_write+0x116/0x190
 ? __vfs_write+0x36/0x170
 ? selinux_file_permission+0xe9/0x120
 ? vfs_write+0xa5/0x1a0
 ? SyS_write+0x4f/0xb0
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 48 89 f2 48 89 e6 e8 7d fe ff ff 8b 54 24 18 83 e2 01 74 0b f3 90 8b 54 24 18 83 e2 01 75 f5 eb ca 8b 05 71 2b 84 01 85 c0 75 88 <0f> 0b eb 84 e8 b4 33 f7 ff 0f 1f 40 00 0f 1f 44 00 00 f6 46 18

Comment 1 Joerg Skottke 2018-04-23 03:29:50 UTC
Created attachment 1425493 [details]
File: dmesg

Comment 2 Justin M. Forbes 2018-07-23 15:02:58 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:10:09 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.